Bug 483393 - RFE: Buildsystems should use UTC as their timezone
RFE: Buildsystems should use UTC as their timezone
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 10:33 EST by Imtiaz Rahi
Modified: 2013-01-10 00:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:45:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Imtiaz Rahi 2009-01-31 10:33:57 EST
Description of problem:
Building the kernel EST timezone causes kernel version string to be fixed on EST time and making reading of timestamp more difficult to non-US users

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run `uname -a` command
2.
3.
  
Actual results:
[root@<server> ~]# uname -a
Linux <server> 2.6.27.9-159.fc10.i686.PAE #1 SMP Tue Dec 16 14:59:37 EST 2008 i686 i686 i386 GNU/Linux


Expected results:
UTC time is expected in output instead of EST

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=480532
Comment 1 Imtiaz Rahi 2009-01-31 10:38:11 EST
I also think that fixing the kernel to provide time stamp using UTC would also fix this issue https://bugzilla.redhat.com/show_bug.cgi?id=466800
Comment 2 Dennis Gilmore 2009-02-01 12:40:25 EST
Fedora entire infrastructure runs on UTC. 
date
Sun Feb  1 17:32:02 UTC 2009  thats from one of the builders.  before we switched to UTC over 18 months ago builders all ran MST.   they have never been run EST. the issue you are reporting is not an issue with the buildsystem at all.
Comment 3 Imtiaz Rahi 2009-02-03 07:40:21 EST
Please see the comments made by Ondrej Vasik (ovasik AT redhat DOT com)  2009-01-20 04:34:26 EDT
URL: https://bugzilla.redhat.com/show_bug.cgi?id=480532#c4

I have opened this report based on his suggestion.
Comment 4 Jesse Keating 2009-02-05 20:44:57 EST
This I do believe is a missing function of mock, not duplicating the host tzdata into the client.
Comment 5 Jesse Keating 2009-02-05 20:59:36 EST
Patch sent upstream for mock.
Comment 6 Bug Zapper 2009-11-18 05:56:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:45:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.